repo/gentoo:master commit in: dev-python/xxhash/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786588321.fc5098ff99fcdb7c48cd17d33dcc5cbbfb0ef7ec.mgorny@gentoo>
commit:     fc5098ff99fcdb7c48cd17d33dcc5cbbfb0ef7ec
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 02:03:15 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 02:32:01 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc5098ff

dev-python/xxhash: Bump to 4.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/xxhash/Manifest            |  2 ++
 dev-python/xxhash/xxhash-4.0.0.ebuild | 46 +++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/xxhash/Manifest b/dev-python/xxhash/Manifest
index 5868a92e3669..116758521ce3 100644
--- a/dev-python/xxhash/Manifest
+++ b/dev-python/xxhash/Manifest
@@ -2,3 +2,5 @@ DIST xxhash-3.7.1.tar.gz 82993 BLAKE2B e90059f39f7a23d65f3f52b6b381a5e2d6e55e37f
 DIST xxhash-3.7.1.tar.gz.provenance 9804 BLAKE2B 7f779e0d5f36853f40373749fe9a1bdfea7a4545af365350d26db1562149c80d4a6ba68b40baa30e0e7d3e58276cd949745e1ffbcbb140fade41123f3fb27ae2 SHA512 a85dbf40d1511eb0905d7d0ce791dab6e129540f1fa11a28017cbc96f45be5327a63597cea1ff9771d497b86de81ea8274826e2d65cca605021b26b39eb2ddfb
 DIST xxhash-3.8.1.tar.gz 86223 BLAKE2B 9edee0dcc6374e0f3a89c8d51d44b0f9cc18770b638d2b127019eba425b5be2dcc2df66a03482403a6d76fe18b3dbf570cec76d45952fd1cb286fc27af4c4cb5 SHA512 dd834acfa80f8916fecd553b192bfaee03895a9ab0b2f812390f9f66b454560060d9f56c16b6a445b798539296ee7ec907ae099f109604b4b1fbdff5b308e890
 DIST xxhash-3.8.1.tar.gz.provenance 9553 BLAKE2B afa12824c3b7960bba72ad7631e4b52cd74eb4206d15c4a318d0fe4a13d957efa5a7e269562bb022329d57c2695e63e0ac2485e11bec21b86bbfd792f4be5902 SHA512 d1b8b53e9c1caebde83af9be375661e0e55e7bef2e366182412018b919ae1595a140293f625fd35f31485c5c8690c2c1c7c75aba830e174a4f524d0ab9d4ef1a
+DIST xxhash-4.0.0.tar.gz 100993 BLAKE2B e5f5c9fdb4d6289464b352ea926b68f68e3c552dc6746117397389a7c7820fb011c097b616613fcae19c95f3bc36070e2f7838e1a701f9616a4f0abe5276fcab SHA512 68a117001fb88f385ef7e917e035a6cf28006aaf22bf22d807257a12009d176d3995d0fa9a46d5a9d3fe761146fc48410ec5f8b45dbd4e33639c8023cbcdaebf
+DIST xxhash-4.0.0.tar.gz.provenance 9743 BLAKE2B 58d8ed71938e9e2af023c5ad2226bfbaddb940d54343237f483dfa64386027a28b8f7456339b345300dae305cebf94306f637810bf54078e9c0fd6cdd9b12c2b SHA512 4e4f61e69da0ae254837609e913e5205674f59c0aaf0c969cd2727585577cf0515251e569b4d86df22940a9cae257da371b1dc3862190b78e28d528a2ff45b44

diff --git a/dev-python/xxhash/xxhash-4.0.0.ebuild b/dev-python/xxhash/xxhash-4.0.0.ebuild
new file mode 100644
index 000000000000..4a1f1fdc3279
--- /dev/null
+++ b/dev-python/xxhash/xxhash-4.0.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/ifduyue/python-xxhash
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python binding for the xxHash library"
+HOMEPAGE="
+	https://github.com/ifduyue/python-xxhash/
+	https://pypi.org/project/xxhash/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+
+DEPEND="
+	>=dev-libs/xxhash-0.8.0
+"
+RDEPEND="
+	${DEPEND}
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+	tests/test_benchmark.py
+	# require pyright
+	tests/test_stubs_pyright.py
+)
+
+python_configure_all() {
+	export XXHASH_LINK_SO=1
+}
+
+python_test() {
+	rm -fr xxhash || die
+	epytest
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.